[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.Destroy

Destructor for the class instance.

## Declaration

Source position: forms.pp line 199

`public destructor TScrollingWinControl.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy frees resources allocated for the HorzScrollBar and VertScrollBar properties. Destroy calls the inherited destructor prior to exiting from the method.

## See also

TScrollingWinControl.HorzScrollBar |  | The horizontal scroll bar for the control.
TScrollingWinControl.VertScrollBar |  | The vertical scroll bar for the control.